/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;


/**
 * 用户缺陷等级数量中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-01-21 10:29:37  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "用户缺陷等级数量中间表")
public class MidUserBugGrade implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_gradeA = "gradeA";
  public static final String KEY_gradeB = "gradeB";
  public static final String KEY_gradeC = "gradeC";
  public static final String KEY_gradeD = "gradeD";
  public static final String KEY_gradeE = "gradeE";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";

  /**
   * <br>
   */
  @ApiModelProperty("")
  private Long id;
  /**
   * 分配人<br>
   */
  @ApiModelProperty("分配人")
  @Size(max = 50, message="分配人-createdBy: 数据长度不能 > 50" )
  private String createdBy;
  /**
   * 缺陷等级A<br>
   */
  @ApiModelProperty("缺陷等级A")
  private Integer gradeA;
  /**
   * 缺陷等级B<br>
   */
  @ApiModelProperty("缺陷等级B")
  private Integer gradeB;
  /**
   * 缺陷等级C<br>
   */
  @ApiModelProperty("缺陷等级C")
  private Integer gradeC;
  /**
   * 缺陷等级D<br>
   */
  @ApiModelProperty("缺陷等级D")
  private Integer gradeD;
  /**
   * 缺陷等级E<br>
   */
  @ApiModelProperty("缺陷等级E")
  private Integer gradeE;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-projectId: 数据长度不能 > 50" )
  private String projectId;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 50, message="-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * <br>
   */
  public Long getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(Long id)
  {
      this.id = id;
    }
  /**
   * 分配人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 分配人<br>
   *
   * @param createdBy 分配人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 缺陷等级A<br>
   */
  public Integer getGradeA()
  {
      return gradeA;
    }

  /**
   * 缺陷等级A<br>
   *
   * @param gradeA 缺陷等级A
   */
  public void setGradeA(Integer gradeA)
  {
      this.gradeA = gradeA;
    }
  /**
   * 缺陷等级B<br>
   */
  public Integer getGradeB()
  {
      return gradeB;
    }

  /**
   * 缺陷等级B<br>
   *
   * @param gradeB 缺陷等级B
   */
  public void setGradeB(Integer gradeB)
  {
      this.gradeB = gradeB;
    }
  /**
   * 缺陷等级C<br>
   */
  public Integer getGradeC()
  {
      return gradeC;
    }

  /**
   * 缺陷等级C<br>
   *
   * @param gradeC 缺陷等级C
   */
  public void setGradeC(Integer gradeC)
  {
      this.gradeC = gradeC;
    }
  /**
   * 缺陷等级D<br>
   */
  public Integer getGradeD()
  {
      return gradeD;
    }

  /**
   * 缺陷等级D<br>
   *
   * @param gradeD 缺陷等级D
   */
  public void setGradeD(Integer gradeD)
  {
      this.gradeD = gradeD;
    }
  /**
   * 缺陷等级E<br>
   */
  public Integer getGradeE()
  {
      return gradeE;
    }

  /**
   * 缺陷等级E<br>
   *
   * @param gradeE 缺陷等级E
   */
  public void setGradeE(Integer gradeE)
  {
      this.gradeE = gradeE;
    }
  /**
   * <br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * <br>
   *
   * @param projectId 
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * <br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * <br>
   *
   * @param tenantId 
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public MidUserBugGrade()
  {
  }

}
